/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package plate.wellmann.shop.persistence;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

/**
 *
 * @author Patrick
 */
@Entity
public class Log extends AbstractEntity{
    private final String entry;
    
    @ManyToOne
    private final Item ticket;

    public Log(String entry, Item ticket) {
        this.entry = entry;
        this.ticket = ticket;
    }

    public String getEntry() {
        return entry;
    }

    public Item getTicket() {
        return ticket;
    }
}
